import { a1 as Z, dC as cr, dD as vr } from "./index-CjwA7HmM.mjs";
const he = /* @__PURE__ */ Z(cr), me = /* @__PURE__ */ Z(vr);
var M = Object.prototype.toString, rr = function(r) {
  var e = M.call(r), t = e === "[object Arguments]";
  return t || (t = e !== "[object Array]" && r !== null && typeof r == "object" && typeof r.length == "number" && r.length >= 0 && M.call(r.callee) === "[object Function]"), t;
}, k, J;
function gr() {
  if (J) return k;
  J = 1;
  var n;
  if (!Object.keys) {
    var r = Object.prototype.hasOwnProperty, e = Object.prototype.toString, t = rr, o = Object.prototype.propertyIsEnumerable, i = !o.call({ toString: null }, "toString"), s = o.call(function() {
    }, "prototype"), p = [
      "toString",
      "toLocaleString",
      "valueOf",
      "hasOwnProperty",
      "isPrototypeOf",
      "propertyIsEnumerable",
      "constructor"
    ], f = function(l) {
      var y = l.constructor;
      return y && y.prototype === l;
    }, v = {
      $applicationCache: !0,
      $console: !0,
      $external: !0,
      $frame: !0,
      $frameElement: !0,
      $frames: !0,
      $innerHeight: !0,
      $innerWidth: !0,
      $onmozfullscreenchange: !0,
      $onmozfullscreenerror: !0,
      $outerHeight: !0,
      $outerWidth: !0,
      $pageXOffset: !0,
      $pageYOffset: !0,
      $parent: !0,
      $scrollLeft: !0,
      $scrollTop: !0,
      $scrollX: !0,
      $scrollY: !0,
      $self: !0,
      $webkitIndexedDB: !0,
      $webkitStorageInfo: !0,
      $window: !0
    }, c = function() {
      if (typeof window > "u")
        return !1;
      for (var l in window)
        try {
          if (!v["$" + l] && r.call(window, l) && window[l] !== null && typeof window[l] == "object")
            try {
              f(window[l]);
            } catch {
              return !0;
            }
        } catch {
          return !0;
        }
      return !1;
    }(), g = function(l) {
      if (typeof window > "u" || !c)
        return f(l);
      try {
        return f(l);
      } catch {
        return !1;
      }
    };
    n = function(y) {
      var d = y !== null && typeof y == "object", h = e.call(y) === "[object Function]", C = t(y), fr = d && e.call(y) === "[object String]", $ = [];
      if (!d && !h && !C)
        throw new TypeError("Object.keys called on a non-object");
      var ur = s && h;
      if (fr && y.length > 0 && !r.call(y, 0))
        for (var B = 0; B < y.length; ++B)
          $.push(String(B));
      if (C && y.length > 0)
        for (var x = 0; x < y.length; ++x)
          $.push(String(x));
      else
        for (var D in y)
          !(ur && D === "prototype") && r.call(y, D) && $.push(String(D));
      if (i)
        for (var sr = g(y), E = 0; E < p.length; ++E)
          !(sr && p[E] === "constructor") && r.call(y, p[E]) && $.push(p[E]);
      return $;
    };
  }
  return k = n, k;
}
var dr = Array.prototype.slice, hr = rr, V = Object.keys, F = V ? function(r) {
  return V(r);
} : gr(), L = Object.keys;
F.shim = function() {
  if (Object.keys) {
    var r = function() {
      var e = Object.keys(arguments);
      return e && e.length === arguments.length;
    }(1, 2);
    r || (Object.keys = function(t) {
      return hr(t) ? L(dr.call(t)) : L(t);
    });
  } else
    Object.keys = F;
  return Object.keys || F;
};
var mr = F, br = Error, Ar = EvalError, Pr = RangeError, Sr = ReferenceError, er = SyntaxError, tr = TypeError, wr = URIError, Or = function() {
  if (typeof Symbol != "function" || typeof Object.getOwnPropertySymbols != "function")
    return !1;
  if (typeof Symbol.iterator == "symbol")
    return !0;
  var r = {}, e = Symbol("test"), t = Object(e);
  if (typeof e == "string" || Object.prototype.toString.call(e) !== "[object Symbol]" || Object.prototype.toString.call(t) !== "[object Symbol]")
    return !1;
  var o = 42;
  r[e] = o;
  for (e in r)
    return !1;
  if (typeof Object.keys == "function" && Object.keys(r).length !== 0 || typeof Object.getOwnPropertyNames == "function" && Object.getOwnPropertyNames(r).length !== 0)
    return !1;
  var i = Object.getOwnPropertySymbols(r);
  if (i.length !== 1 || i[0] !== e || !Object.prototype.propertyIsEnumerable.call(r, e))
    return !1;
  if (typeof Object.getOwnPropertyDescriptor == "function") {
    var s = Object.getOwnPropertyDescriptor(r, e);
    if (s.value !== o || s.enumerable !== !0)
      return !1;
  }
  return !0;
}, z = typeof Symbol < "u" && Symbol, $r = Or, Er = function() {
  return typeof z != "function" || typeof Symbol != "function" || typeof z("foo") != "symbol" || typeof Symbol("bar") != "symbol" ? !1 : $r();
}, N = {
  __proto__: null,
  foo: {}
}, Ir = Object, Fr = function() {
  return { __proto__: N }.foo === N.foo && !(N instanceof Ir);
}, Rr = "Function.prototype.bind called on incompatible ", jr = Object.prototype.toString, Ur = Math.max, _r = "[object Function]", K = function(r, e) {
  for (var t = [], o = 0; o < r.length; o += 1)
    t[o] = r[o];
  for (var i = 0; i < e.length; i += 1)
    t[i + r.length] = e[i];
  return t;
}, Br = function(r, e) {
  for (var t = [], o = e, i = 0; o < r.length; o += 1, i += 1)
    t[i] = r[o];
  return t;
}, xr = function(n, r) {
  for (var e = "", t = 0; t < n.length; t += 1)
    e += n[t], t + 1 < n.length && (e += r);
  return e;
}, Dr = function(r) {
  var e = this;
  if (typeof e != "function" || jr.apply(e) !== _r)
    throw new TypeError(Rr + e);
  for (var t = Br(arguments, 1), o, i = function() {
    if (this instanceof o) {
      var c = e.apply(
        this,
        K(t, arguments)
      );
      return Object(c) === c ? c : this;
    }
    return e.apply(
      r,
      K(t, arguments)
    );
  }, s = Ur(0, e.length - t.length), p = [], f = 0; f < s; f++)
    p[f] = "$" + f;
  if (o = Function("binder", "return function (" + xr(p, ",") + "){ return binder.apply(this,arguments); }")(i), e.prototype) {
    var v = function() {
    };
    v.prototype = e.prototype, o.prototype = new v(), v.prototype = null;
  }
  return o;
}, kr = Dr, or = Function.prototype.bind || kr, Nr = Function.prototype.call, Tr = Object.prototype.hasOwnProperty, Gr = or, Wr = Gr.call(Nr, Tr), a, Cr = br, Mr = Ar, Jr = Pr, Vr = Sr, O = er, w = tr, Lr = wr, nr = Function, T = function(n) {
  try {
    return nr('"use strict"; return (' + n + ").constructor;")();
  } catch {
  }
}, m = Object.getOwnPropertyDescriptor;
if (m)
  try {
    m({}, "");
  } catch {
    m = null;
  }
var G = function() {
  throw new w();
}, zr = m ? function() {
  try {
    return arguments.callee, G;
  } catch {
    try {
      return m(arguments, "callee").get;
    } catch {
      return G;
    }
  }
}() : G, A = Er(), Kr = Fr(), u = Object.getPrototypeOf || (Kr ? function(n) {
  return n.__proto__;
} : null), S = {}, qr = typeof Uint8Array > "u" || !u ? a : u(Uint8Array), b = {
  __proto__: null,
  "%AggregateError%": typeof AggregateError > "u" ? a : AggregateError,
  "%Array%": Array,
  "%ArrayBuffer%": typeof ArrayBuffer > "u" ? a : ArrayBuffer,
  "%ArrayIteratorPrototype%": A && u ? u([][Symbol.iterator]()) : a,
  "%AsyncFromSyncIteratorPrototype%": a,
  "%AsyncFunction%": S,
  "%AsyncGenerator%": S,
  "%AsyncGeneratorFunction%": S,
  "%AsyncIteratorPrototype%": S,
  "%Atomics%": typeof Atomics > "u" ? a : Atomics,
  "%BigInt%": typeof BigInt > "u" ? a : BigInt,
  "%BigInt64Array%": typeof BigInt64Array > "u" ? a : BigInt64Array,
  "%BigUint64Array%": typeof BigUint64Array > "u" ? a : BigUint64Array,
  "%Boolean%": Boolean,
  "%DataView%": typeof DataView > "u" ? a : DataView,
  "%Date%": Date,
  "%decodeURI%": decodeURI,
  "%decodeURIComponent%": decodeURIComponent,
  "%encodeURI%": encodeURI,
  "%encodeURIComponent%": encodeURIComponent,
  "%Error%": Cr,
  "%eval%": eval,
  // eslint-disable-line no-eval
  "%EvalError%": Mr,
  "%Float32Array%": typeof Float32Array > "u" ? a : Float32Array,
  "%Float64Array%": typeof Float64Array > "u" ? a : Float64Array,
  "%FinalizationRegistry%": typeof FinalizationRegistry > "u" ? a : FinalizationRegistry,
  "%Function%": nr,
  "%GeneratorFunction%": S,
  "%Int8Array%": typeof Int8Array > "u" ? a : Int8Array,
  "%Int16Array%": typeof Int16Array > "u" ? a : Int16Array,
  "%Int32Array%": typeof Int32Array > "u" ? a : Int32Array,
  "%isFinite%": isFinite,
  "%isNaN%": isNaN,
  "%IteratorPrototype%": A && u ? u(u([][Symbol.iterator]())) : a,
  "%JSON%": typeof JSON == "object" ? JSON : a,
  "%Map%": typeof Map > "u" ? a : Map,
  "%MapIteratorPrototype%": typeof Map > "u" || !A || !u ? a : u((/* @__PURE__ */ new Map())[Symbol.iterator]()),
  "%Math%": Math,
  "%Number%": Number,
  "%Object%": Object,
  "%parseFloat%": parseFloat,
  "%parseInt%": parseInt,
  "%Promise%": typeof Promise > "u" ? a : Promise,
  "%Proxy%": typeof Proxy > "u" ? a : Proxy,
  "%RangeError%": Jr,
  "%ReferenceError%": Vr,
  "%Reflect%": typeof Reflect > "u" ? a : Reflect,
  "%RegExp%": RegExp,
  "%Set%": typeof Set > "u" ? a : Set,
  "%SetIteratorPrototype%": typeof Set > "u" || !A || !u ? a : u((/* @__PURE__ */ new Set())[Symbol.iterator]()),
  "%SharedArrayBuffer%": typeof SharedArrayBuffer > "u" ? a : SharedArrayBuffer,
  "%String%": String,
  "%StringIteratorPrototype%": A && u ? u(""[Symbol.iterator]()) : a,
  "%Symbol%": A ? Symbol : a,
  "%SyntaxError%": O,
  "%ThrowTypeError%": zr,
  "%TypedArray%": qr,
  "%TypeError%": w,
  "%Uint8Array%": typeof Uint8Array > "u" ? a : Uint8Array,
  "%Uint8ClampedArray%": typeof Uint8ClampedArray > "u" ? a : Uint8ClampedArray,
  "%Uint16Array%": typeof Uint16Array > "u" ? a : Uint16Array,
  "%Uint32Array%": typeof Uint32Array > "u" ? a : Uint32Array,
  "%URIError%": Lr,
  "%WeakMap%": typeof WeakMap > "u" ? a : WeakMap,
  "%WeakRef%": typeof WeakRef > "u" ? a : WeakRef,
  "%WeakSet%": typeof WeakSet > "u" ? a : WeakSet
};
if (u)
  try {
    null.error;
  } catch (n) {
    var Yr = u(u(n));
    b["%Error.prototype%"] = Yr;
  }
var Hr = function n(r) {
  var e;
  if (r === "%AsyncFunction%")
    e = T("async function () {}");
  else if (r === "%GeneratorFunction%")
    e = T("function* () {}");
  else if (r === "%AsyncGeneratorFunction%")
    e = T("async function* () {}");
  else if (r === "%AsyncGenerator%") {
    var t = n("%AsyncGeneratorFunction%");
    t && (e = t.prototype);
  } else if (r === "%AsyncIteratorPrototype%") {
    var o = n("%AsyncGenerator%");
    o && u && (e = u(o.prototype));
  }
  return b[r] = e, e;
}, q = {
  __proto__: null,
  "%ArrayBufferPrototype%": ["ArrayBuffer", "prototype"],
  "%ArrayPrototype%": ["Array", "prototype"],
  "%ArrayProto_entries%": ["Array", "prototype", "entries"],
  "%ArrayProto_forEach%": ["Array", "prototype", "forEach"],
  "%ArrayProto_keys%": ["Array", "prototype", "keys"],
  "%ArrayProto_values%": ["Array", "prototype", "values"],
  "%AsyncFunctionPrototype%": ["AsyncFunction", "prototype"],
  "%AsyncGenerator%": ["AsyncGeneratorFunction", "prototype"],
  "%AsyncGeneratorPrototype%": ["AsyncGeneratorFunction", "prototype", "prototype"],
  "%BooleanPrototype%": ["Boolean", "prototype"],
  "%DataViewPrototype%": ["DataView", "prototype"],
  "%DatePrototype%": ["Date", "prototype"],
  "%ErrorPrototype%": ["Error", "prototype"],
  "%EvalErrorPrototype%": ["EvalError", "prototype"],
  "%Float32ArrayPrototype%": ["Float32Array", "prototype"],
  "%Float64ArrayPrototype%": ["Float64Array", "prototype"],
  "%FunctionPrototype%": ["Function", "prototype"],
  "%Generator%": ["GeneratorFunction", "prototype"],
  "%GeneratorPrototype%": ["GeneratorFunction", "prototype", "prototype"],
  "%Int8ArrayPrototype%": ["Int8Array", "prototype"],
  "%Int16ArrayPrototype%": ["Int16Array", "prototype"],
  "%Int32ArrayPrototype%": ["Int32Array", "prototype"],
  "%JSONParse%": ["JSON", "parse"],
  "%JSONStringify%": ["JSON", "stringify"],
  "%MapPrototype%": ["Map", "prototype"],
  "%NumberPrototype%": ["Number", "prototype"],
  "%ObjectPrototype%": ["Object", "prototype"],
  "%ObjProto_toString%": ["Object", "prototype", "toString"],
  "%ObjProto_valueOf%": ["Object", "prototype", "valueOf"],
  "%PromisePrototype%": ["Promise", "prototype"],
  "%PromiseProto_then%": ["Promise", "prototype", "then"],
  "%Promise_all%": ["Promise", "all"],
  "%Promise_reject%": ["Promise", "reject"],
  "%Promise_resolve%": ["Promise", "resolve"],
  "%RangeErrorPrototype%": ["RangeError", "prototype"],
  "%ReferenceErrorPrototype%": ["ReferenceError", "prototype"],
  "%RegExpPrototype%": ["RegExp", "prototype"],
  "%SetPrototype%": ["Set", "prototype"],
  "%SharedArrayBufferPrototype%": ["SharedArrayBuffer", "prototype"],
  "%StringPrototype%": ["String", "prototype"],
  "%SymbolPrototype%": ["Symbol", "prototype"],
  "%SyntaxErrorPrototype%": ["SyntaxError", "prototype"],
  "%TypedArrayPrototype%": ["TypedArray", "prototype"],
  "%TypeErrorPrototype%": ["TypeError", "prototype"],
  "%Uint8ArrayPrototype%": ["Uint8Array", "prototype"],
  "%Uint8ClampedArrayPrototype%": ["Uint8ClampedArray", "prototype"],
  "%Uint16ArrayPrototype%": ["Uint16Array", "prototype"],
  "%Uint32ArrayPrototype%": ["Uint32Array", "prototype"],
  "%URIErrorPrototype%": ["URIError", "prototype"],
  "%WeakMapPrototype%": ["WeakMap", "prototype"],
  "%WeakSetPrototype%": ["WeakSet", "prototype"]
}, I = or, U = Wr, Xr = I.call(Function.call, Array.prototype.concat), Qr = I.call(Function.apply, Array.prototype.splice), Y = I.call(Function.call, String.prototype.replace), _ = I.call(Function.call, String.prototype.slice), Zr = I.call(Function.call, RegExp.prototype.exec), re = /[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g, ee = /\\(\\)?/g, te = function(r) {
  var e = _(r, 0, 1), t = _(r, -1);
  if (e === "%" && t !== "%")
    throw new O("invalid intrinsic syntax, expected closing `%`");
  if (t === "%" && e !== "%")
    throw new O("invalid intrinsic syntax, expected opening `%`");
  var o = [];
  return Y(r, re, function(i, s, p, f) {
    o[o.length] = p ? Y(f, ee, "$1") : s || i;
  }), o;
}, oe = function(r, e) {
  var t = r, o;
  if (U(q, t) && (o = q[t], t = "%" + o[0] + "%"), U(b, t)) {
    var i = b[t];
    if (i === S && (i = Hr(t)), typeof i > "u" && !e)
      throw new w("intrinsic " + r + " exists, but is not available. Please file an issue!");
    return {
      alias: o,
      name: t,
      value: i
    };
  }
  throw new O("intrinsic " + r + " does not exist!");
}, ar = function(r, e) {
  if (typeof r != "string" || r.length === 0)
    throw new w("intrinsic name must be a non-empty string");
  if (arguments.length > 1 && typeof e != "boolean")
    throw new w('"allowMissing" argument must be a boolean');
  if (Zr(/^%?[^%]*%?$/, r) === null)
    throw new O("`%` may not be present anywhere but at the beginning and end of the intrinsic name");
  var t = te(r), o = t.length > 0 ? t[0] : "", i = oe("%" + o + "%", e), s = i.name, p = i.value, f = !1, v = i.alias;
  v && (o = v[0], Qr(t, Xr([0, 1], v)));
  for (var c = 1, g = !0; c < t.length; c += 1) {
    var l = t[c], y = _(l, 0, 1), d = _(l, -1);
    if ((y === '"' || y === "'" || y === "`" || d === '"' || d === "'" || d === "`") && y !== d)
      throw new O("property names with quotes must have matching quotes");
    if ((l === "constructor" || !g) && (f = !0), o += "." + l, s = "%" + o + "%", U(b, s))
      p = b[s];
    else if (p != null) {
      if (!(l in p)) {
        if (!e)
          throw new w("base intrinsic for " + r + " exists, but the property is not available.");
        return;
      }
      if (m && c + 1 >= t.length) {
        var h = m(p, l);
        g = !!h, g && "get" in h && !("originalValue" in h.get) ? p = h.get : p = p[l];
      } else
        g = U(p, l), p = p[l];
      g && !f && (b[s] = p);
    }
  }
  return p;
}, ne = ar, R = ne("%Object.defineProperty%", !0) || !1;
if (R)
  try {
    R({}, "a", { value: 1 });
  } catch {
    R = !1;
  }
var ir = R, ae = ar, j = ae("%Object.getOwnPropertyDescriptor%", !0);
if (j)
  try {
    j([], "length");
  } catch {
    j = null;
  }
var ie = j, H = ir, ye = er, P = tr, X = ie, pe = function(r, e, t) {
  if (!r || typeof r != "object" && typeof r != "function")
    throw new P("`obj` must be an object or a function`");
  if (typeof e != "string" && typeof e != "symbol")
    throw new P("`property` must be a string or a symbol`");
  if (arguments.length > 3 && typeof arguments[3] != "boolean" && arguments[3] !== null)
    throw new P("`nonEnumerable`, if provided, must be a boolean or null");
  if (arguments.length > 4 && typeof arguments[4] != "boolean" && arguments[4] !== null)
    throw new P("`nonWritable`, if provided, must be a boolean or null");
  if (arguments.length > 5 && typeof arguments[5] != "boolean" && arguments[5] !== null)
    throw new P("`nonConfigurable`, if provided, must be a boolean or null");
  if (arguments.length > 6 && typeof arguments[6] != "boolean")
    throw new P("`loose`, if provided, must be a boolean");
  var o = arguments.length > 3 ? arguments[3] : null, i = arguments.length > 4 ? arguments[4] : null, s = arguments.length > 5 ? arguments[5] : null, p = arguments.length > 6 ? arguments[6] : !1, f = !!X && X(r, e);
  if (H)
    H(r, e, {
      configurable: s === null && f ? f.configurable : !s,
      enumerable: o === null && f ? f.enumerable : !o,
      value: t,
      writable: i === null && f ? f.writable : !i
    });
  else if (p || !o && !i && !s)
    r[e] = t;
  else
    throw new ye("This environment does not support defining a property as non-configurable, non-writable, or non-enumerable.");
}, W = ir, yr = function() {
  return !!W;
};
yr.hasArrayLengthDefineBug = function() {
  if (!W)
    return null;
  try {
    return W([], "length", { value: 1 }).length !== 1;
  } catch {
    return !0;
  }
};
var le = yr, fe = mr, ue = typeof Symbol == "function" && typeof Symbol("foo") == "symbol", se = Object.prototype.toString, ce = Array.prototype.concat, Q = pe, ve = function(n) {
  return typeof n == "function" && se.call(n) === "[object Function]";
}, pr = le(), ge = function(n, r, e, t) {
  if (r in n) {
    if (t === !0) {
      if (n[r] === e)
        return;
    } else if (!ve(t) || !t())
      return;
  }
  pr ? Q(n, r, e, !0) : Q(n, r, e);
}, lr = function(n, r) {
  var e = arguments.length > 2 ? arguments[2] : {}, t = fe(r);
  ue && (t = ce.call(t, Object.getOwnPropertySymbols(r)));
  for (var o = 0; o < t.length; o += 1)
    ge(n, t[o], r[t[o]], e[t[o]]);
};
lr.supportsDescriptors = !!pr;
var be = lr;
export {
  me as a,
  ar as b,
  pe as c,
  be as d,
  ir as e,
  or as f,
  ie as g,
  le as h,
  mr as o,
  he as r,
  Or as s,
  tr as t
};
